package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class IntentInfo {
    private String intent;
    private String context;
    private long intentConfidence;
    private String lastUserUtterance;
    private CustomPayload slots;

    @JsonProperty("intent")
    public String getIntent() { return intent; }
    @JsonProperty("intent")
    public void setIntent(String value) { this.intent = value; }

    @JsonProperty("context")
    public String getContext() { return context; }
    @JsonProperty("context")
    public void setContext(String value) { this.context = value; }

    @JsonProperty("intentConfidence")
    public long getIntentConfidence() { return intentConfidence; }
    @JsonProperty("intentConfidence")
    public void setIntentConfidence(long value) { this.intentConfidence = value; }

    @JsonProperty("lastUserUtterance")
    public String getLastUserUtterance() { return lastUserUtterance; }
    @JsonProperty("lastUserUtterance")
    public void setLastUserUtterance(String value) { this.lastUserUtterance = value; }

    @JsonProperty("slots")
    public CustomPayload getSlots() { return slots; }
    @JsonProperty("slots")
    public void setSlots(CustomPayload value) { this.slots = value; }
}
